### Method

# Gimp TextLayer get_markup

since: 2.8

#### Declaration [src]

    gchar*
    gimp_text_layer_get_markup (
      GimpTextLayer* layer
    )

#### Description [src]

Get the markup from a text layer as string.

This procedure returns the markup of the styles from a text layer. The markup will be in the form of Pango’s markup - See https://www.pango.org/ for more information about Pango and its markup.

Available since: 2.8

#### Return value

Type: `gchar*`

         The markup which represents the style of the specified text layer.
         The returned value must be freed with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.